
QGIS Application - Bug report #13067

The difference tool gives broken results in both 2.10 and 2.11

2015-07-03 01:26 AM - Etienne Trimaille

Status: Closed

Priority: Severe/Regression

Assignee: Victor Olaya

Category: Vectors

Affected QGIS version:2.10.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21137

Description

Running the difference tool (vector menu and processing) in QGIS 2.10 and master gives broken results.

Instead of removing features, the layer contains invalid geometries.

No error is raised, but the layer can't be used for a further analysis.

Associated revisions

Revision fe1a0321 - 2015-07-03 03:52 PM - Etienne Trimaille

fix #13067 : bad geometries in the difference tool

Revision 4fba5ff4 - 2015-07-03 09:19 PM - Jürgen Fischer

Merge pull request #2192 from Gustry/fix-13067

fix #13067 : bad geometries in the difference tool

Revision 2e77e9cd - 2015-07-05 04:48 AM - Etienne Trimaille

fix #13067 : bad geometries in the difference tool

(cherry picked from commit fe1a032181fb8f3c696918da71df777521f05ceb)

History

#1 - 2015-07-03 01:47 AM - Anita Graser

I can reproduce the issue computing the difference of regions and lakes in our QGIS Alaska sample data. (Difference between regions and builtups seems

fine though.)

#2 - 2015-07-03 02:04 AM - Giovanni Manghi

- Target version changed from Version 2.12 to Future Release - High Priority

- Priority changed from High to Severe/Regression

This is the second (basic) vector geoprocessing tool we at the moment see also #11986 (not to speak about how slow they all are).
I really think that this tools should be really fixed once for all as any gis user expect them to work and having to say "don't use the

intersection/difference/whatever tool is kind of embarrassing. It even could be dangerous... what about if I take for good the result of one of this operations

and then give wrong results that have a real world (legal for example) impact?

Now that we have the routine to create virtual vectors I plan at some point to add the same basic tools based only ogr/sql/geos (there are already a few in

Processing).

#3 - 2015-07-03 07:02 AM - Etienne Trimaille

- Assignee set to Victor Olaya

Can you check this PR ?

https://github.com/qgis/QGIS/pull/2192

#4 - 2015-07-03 12:19 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"4fba5ff4937df59e65e7e927f0d94ee6b5818a45".
